MARTe2-components - User story #619

LinuxTimer with plugins (from FAT tools)
03.09.2020 09:43 - André Neto

Status: Closed Start date: 03.09.2020
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Design new (generic) timer component based on plugins (see FAT tools).

History

#1 - 24.02.2021 09:44 - André Neto

- Status changed from New to Code: Impl

#2 - 24.02.2021 09:45 - André Neto

- Assignee set to Giuseppe Avon

#3 - 05.03.2021 08:53 - Giuseppe Avon
DESCRIBE CHANGES TODO

General

Information

The following files were detected as changed between branches #619_LinuxTimer and develop

EclipseLcov.local.sh

Lint/marte_components_flint_files.lnt
Source/Components/DataSources/LinuxTimer/HighResolutionTimeProvider.cpp
Source/Components/DataSources/LinuxTimer/HighResolutionTimeProvider.h
Source/Components/DataSources/LinuxTimer/LinuxTimer.cpp
Source/Components/DataSources/LinuxTimer/LinuxTimer.h
Source/Components/DataSources/LinuxTimer/Makefile.gcc
Source/Components/DataSources/LinuxTimer/Makefile.inc
Source/Components/DataSources/LinuxTimer/TimeProvider.cpp
Source/Components/DataSources/LinuxTimer/TimeProvider.h
Test/Components/DataSources/LinuxTimer/LinuxTimerGTest.cpp
Test/Components/DataSources/LinuxTimer/LinuxTimerTest.cpp
Test/Components/DataSources/LinuxTimer/LinuxTimerTest.h

OK: no errors found.

Requirements review
Date of the review: 04/03/2021
Person who did the review: TODO
Version of requirements:TODO
Result of review:TODO

List of non-conformities:TODO

Comments:TODO
Architecture & design review

Date of the review: 04/03/2021

Person who did the review: TODO

Version of architecture & design document:TODO
Result of review:TODO

List of non-conformities:TODO

Comments:TODO

Code and documentation review

Date of the review: 04/03/2021

Person who did the review: TODO

Version of source code: a1d1b205f7e208219cb57bc5d9bfad3b7296264a
Result of review:TODO

List of non-conformities:

Run flexelint and reportTODO

Headers

OK: All headers are correctly formatted
OK: no errors found.

Lint includes

OK: All files are being included for linting
OK: no errors found.

Linter

ERR: /home/gavon/MARTe2-dev/MakeDefaults/Lint/marte_flint_exceptions.Int 15

ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:398:92: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:403:92: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:408:92: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:418:94: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:423:94: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:428:94: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:433:96: Info 826: Suspicious pointer-to-pointer conversion
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:438:96: Info 826: Suspicious pointer-to-pointer conversion
ERR: Note 974: Worst case function for stack usage: 'MARTe::MDSStructuredDatal::Copy' is recursive, loop contains call to
'MARTe::MDSStructuredDatal::Copy'. See stack for a full report. [MISRA C+ Rule 7-5-4]
Doxygen

ERR: warning: Tag "XML_SCHEMA' at line 1788 of file "Doxyfile' has become obsolete.

ERR: warning: Tag "XML_DTD' at line 1794 of file "Doxyfile' has become obsolete.

ERR: warning: source ./Docs/Assets/Snippets/Parsing/MathGrammar.ll is not a readable file or directory... skipping.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:45: warning: Compound
OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:60: warning: Compound
OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/EPICSPVA/EPICSPVAStructureDatal.h:354: warning: Member
EPICSPVAStructureDatal::ReadArray< std::string >(epics::pvData::PVScalarArrayPtr scalarArrayPtr, AnyType &storedType, const AnyType &value)
(function) of namespace MARTe is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/EPICSPVA/EPICSPVAStructureDatal.h:417: warning: Member
EPICSPVAStructureDatal::WriteArray< std::string >(epics::pvData::PVScalarArrayPtr scalarArrayPtr, AnyType &storedType, const AnyType &value,
const uint32 &size) (function) of namespace MARTe is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:54: warning: Member
OPCUANodeSettings (typedef) of namespace OPCUA is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:68: warning: Member
OPCUAODbjectSettings (typedef) of namespace OPCUA is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/LoggerDataSource/LoggerBroker.h:76: warning: Member
SetPeriod(const uint32 cyclePeriodIn) (function) of class MARTe::LoggerBroker is not documented.
ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/LoggerDataSource/LoggerDataSource.h:68: warning: Member
Initialise(StructuredDatal &data) (function) of class MARTe::LoggerDataSource is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:90: warning:
argument 'nodePaths' of command @param is not found in the argument list of MARTe::OPCUACIientMethod::SetMethodRequest(const uint16
methodNamespacelndex, StreamString methodPath)

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:95: warning: The
following parameters of MARTe::OPCUACIlientMethod::SetMethodRequest(const uint16 methodNamespacelndex, StreamString methodPath) are not
documented:

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:79: warning:
argument 'nodePaths' of command @param is not found in the argument list of MARTe::OPCUACIientMethod::SetObjectRequest(const uint16
methodNamespacelndex, StreamString methodPath)

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:84: warning: The
following parameters of MARTe::OPCUACIientMethod::SetObjectRequest(const uint16 methodNamespacelndex, StreamString methodPath) are not
documented:

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:129: warning: The following
parameters of MARTe::SimulinkDatal::PrintData(const uint64 maxNameLength=0u, StreamString additionalText="") are not documented:

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:272: warning: Member
runningOffset (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:273: warning: Member
typeBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:274: warning: Member
offsetBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:275: warning: Member
CAPISize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:277: warning: Member
baseAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:278: warning: Member
lastSignalAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:272: warning: Member
runningOffset (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:273: warning: Member
typeBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:274: warning: Member
offsetBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:275: warning: Member
CAPISize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:277: warning: Member
baseAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:278: warning: Member
lastSignalAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:272: warning: Member
runningOffset (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:273: warning: Member
typeBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:274: warning: Member
offsetBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:275: warning: Member
CAPISize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:277: warning: Member
baseAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:278: warning: Member
lastSignalAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:294: warning: explicit link
request to 'offsetBasedSize' could not be resolved

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/InterfacessfOPCUA/OPCUATypes.h:46: warning: Member attr (variable) of
class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:47: warning: Member value (variable) of
class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:48: warning: Member nodeld (variable) of
class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:49: warning: Member nodeName
(variable) of class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:50: warning: Member parentNodeld
(variable) of class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:51: warning: Member
parentReferenceNodeld (variable) of class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/InterfacessfOPCUA/OPCUATypes.h:61: warning: Member attr (variable) of
class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:62: warning: Member nodeld (variable) of
class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:63: warning: Member nodeName
(variable) of class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:64: warning: Member parentNodeld
(variable) of class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:65: warning: Member
parentReferenceNodeld (variable) of class OPCUA::ObjectProperties is not documented.

Unit test review

Date of the review: 04/03/2021
Person who did the review: TODO
Version of source code: a1d1b205f7e208219cb57bc5d9bfad3b7296264a
Result of coverage tests review:TODO
Result of functional tests review:TODO
Result of review:TODO
Comments:TODO
List of non-conformities:
Functional tests
ERR: Test file not found: Test/Components/DataSources/LinuxTimer/HighResolutionTimeProviderGTest.cpp
ERR: Test file not found: Test/Components/DataSources/LinuxTimer/TimeProviderGTest.cpp
OK: All public methods are being tested at least once
GTest
ERR: Failed to retrieve test information from: Build/gtest_results_2.xml
ERR: Failed to retrieve test information from: Build/gtest_results_to_compare_2.xml
Number of errors has not changed (but there are still errors). Number of tests: 1087. Current branch: 1. Reference branch: 1
OK: Number of tests increased. Current branch: 1087. Reference branch: 1080
Coverage
DataSources/LinuxTimer/LinuxTimer.cpp: was modified. line coverage is still OK (but has decreased). This branch (96.6 % >= 90.0 %).
Reference branch (97.9 % >= 90.0 %)
OK: DataSources/LinuxTimer...lutionTimeProvider.cpp: is new. Line coverage is OK: (100.0 % >= 90.0 %)
OK: DataSources/LinuxTimer/TimeProvider.cpp: is new. Line coverage is OK: (100.0 % >= 90.0 %)
OK: Interfaces/SysLogger/SysLogger.cpp: was modified. line coverage is still OK. This branch (98.5 % >= 90.0 %). Reference branch (24.6 % >=

90.0 %)
OK: No coverage errors found

Integration test review

Date of the review: 04/03/2021

Person who did the review: TODO

Version of source code: a1d1b205f7e208219cb57bc5d9bfad3b7296264a
Result of review: N/A

List of non-conformities: N/A

Comments: N/A

Acceptance test review

Date of the review: 04/03/2021

Person who did the review: TODO

Version of source code: a1d1b205f7e208219cb57bc5d9bfad3b7296264a
Result of review: N/A

List of non-conformities: N/A

Comments: N/A

#4 - 05.03.2021 08:54 - André Neto
- Status changed from Code: Impl to Unit: Rev

#5 - 05.03.2021 08:54 - André Neto

- Assignee changed from Giuseppe Avon to André Neto

#6 - 05.03.2021 09:00 - André Neto
- Status changed from Unit: Rev to Code: Impl

#7 - 05.03.2021 09:00 - André Neto

- Assignee changed from André Neto to Giuseppe Avon

#8 - 06.03.2021 07:57 - Giuseppe Avon
DESCRIBE CHANGES TODO

General

Information

The following files were detected as changed between branches #619_LinuxTimer and develop

EclipseLcov.local.sh

Lint/marte_components_flint_files.lnt
Lint/marte_components_flint_jenkins.lnt
Source/Components/DataSources/FileDataSource/FileWriter.cpp
Source/Components/DataSources/FileDataSource/FileWriter.h
Source/Components/DataSources/LinuxTimer/HighResolutionTimeProvider.cpp
Source/Components/DataSources/LinuxTimer/HighResolutionTimeProvider.h
Source/Components/DataSources/LinuxTimer/LinuxTimer.cpp
Source/Components/DataSources/LinuxTimer/LinuxTimer.h
Source/Components/DataSources/LinuxTimer/Makefile.gcc
Source/Components/DataSources/LinuxTimer/Makefile.inc
Source/Components/DataSources/LinuxTimer/TimeProvider.cpp
Source/Components/DataSources/LinuxTimer/TimeProvider.h
Source/Components/GAMs/SimulinkWrapperGAM/Makefile.inc
Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.cpp
Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h
Source/Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAM. cpp
Source/Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAM. h
Test/Components/DataSources/LinuxTimer/HighResolutionTimeProviderGTest.cpp
Test/Components/DataSources/LinuxTimer/HighResolutionTimeProviderTest.cpp
Test/Components/DataSources/LinuxTimer/HighResolutionTimeProviderTest.h
Test/Components/DataSources/LinuxTimer/LinuxTimerGTest.cpp
Test/Components/DataSources/LinuxTimer/LinuxTimerTest.cpp
Test/Components/DataSources/LinuxTimer/LinuxTimerTest.h
Test/Components/DataSources/LinuxTimer/Makefile.cov
Test/Components/DataSources/LinuxTimer/Makefile.gcc
Test/Components/DataSources/LinuxTimer/Makefile.inc
Test/Components/DataSources/LinuxTimer/TimeProviderTest .cpp
Test/Components/DataSources/LinuxTimer/TimeProviderTest.h
Test/Components/GAMs/SimulinkWrapperGAM/Makefile.inc
Test/Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAMGTest . cpp
Test/Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAMTest . cpp
Test/Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAMTest .h
Test/Components/GAMs/SimulinkWrapperGAM/createTestModel .m

OK: no errors found.

Requirements review
Date of the review: 06/03/2021
Person who did the review: TODO
Version of requirements:TODO
Result of review:TODO

List of non-conformities:TODO

Comments:TODO
Architecture & design review

Date of the review: 06/03/2021

Person who did the review: TODO

Version of architecture & design document:TODO
Result of review:TODO

List of non-conformities:TODO

Comments:TODO

Code and documentation review

Date of the review: 06/03/2021

Person who did the review: TODO

Version of source code: 2a13df83eb2755eb76e85023abbc5e7b943a73bb
Result of review:TODO

List of non-conformities:

Run flexelint and reportTODO

Headers

ERR: Invalid #includes sorted in file Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h
ERR: Invalid #includes sorted in file Source/Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAM.cpp
ERR: Invalid #includes sorted in file Test’Components/GAMs/SimulinkWrapperGAM/SimulinkWrapperGAMTest.cpp

Lint includes

OK: All files are being included for linting
OK: no errors found.

Linter

ERR: /home/gavon/MARTe2-dev/MakeDefaults/Lint/marte_flint_exceptions.Int 15

ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:398:92: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:403:92: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:408:92: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:418:94: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:423:94: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:428:94: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:433:96: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: ./Source/Components/GAMs/StatisticsGAM/StatisticsGAM.cpp:438:96: Info 826: Suspicious pointer-to-pointer conversion (area too small)
ERR: Note 974: Worst case function for stack usage: 'MARTe::MDSStructuredDatal::Copy' is recursive, loop contains call to
'MARTe::MDSStructuredDatal::Copy'. See stack for a full report. [MISRA C+ Rule 7-5-4]

Doxygen

ERR: warning: Tag "XML_SCHEMA' at line 1788 of file "Doxyfile' has become obsolete.

ERR: warning: Tag "XML_DTD' at line 1794 of file "Doxyfile' has become obsolete.

ERR: warning: source ./Docs/Assets/Snippets/Parsing/MathGrammar.ll is not a readable file or directory... skipping.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:45: warning: Compound
OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:60: warning: Compound
OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/EPICSPVA/EPICSPVAStructureDatal.h:354: warning: Member
EPICSPVAStructureDatal::ReadArray< std::string >(epics::pvData::PVScalarArrayPtr scalarArrayPtr, AnyType &storedType, const AnyType &value)
(function) of namespace MARTe is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/EPICSPVA/EPICSPVAStructureDatal.h:417: warning: Member
EPICSPVAStructureDatal::WriteArray< std::string >(epics::pvData::PVScalarArrayPtr scalarArrayPtr, AnyType &storedType, const AnyType &value,
const uint32 &size) (function) of namespace MARTe is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:54: warning: Member
OPCUANodeSettings (typedef) of namespace OPCUA is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:68: warning: Member
OPCUAODbijectSettings (typedef) of namespace OPCUA is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/LoggerDataSource/LoggerBroker.h:76: warning: Member
SetPeriod(const uint32 cyclePeriodIn) (function) of class MARTe::LoggerBroker is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/LoggerDataSource/LoggerDataSource.h:68: warning: Member
Initialise(StructuredDatal &data) (function) of class MARTe::LoggerDataSource is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:90: warning:
argument 'nodePaths’ of command @param is not found in the argument list of MARTe::OPCUACIientMethod::SetMethodRequest(const uint16
methodNamespacelndex, StreamString methodPath)

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:95: warning: The
following parameters of MARTe::OPCUACIientMethod::SetMethodRequest(const uint16 methodNamespacelndex, StreamString methodPath) are not
documented:

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:79: warning:
argument 'nodePaths' of command @param is not found in the argument list of MARTe::OPCUACIientMethod::SetObjectRequest(const uint16
methodNamespacelndex, StreamString methodPath)

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/DataSources/OPCUADataSource/OPCUACIientMethod.h:84: warning: The
following parameters of MARTe::OPCUACIientMethod::SetObjectRequest(const uint16 methodNamespacelndex, StreamString methodPath) are not
documented:

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:129: warning: The following
parameters of MARTe::SimulinkDatal::PrintData(const uint64 maxNameLength=0u, StreamString additionalText="") are not documented:

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:272: warning: Member
runningOffset (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:273: warning: Member
typeBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:274: warning: Member
offsetBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:275: warning: Member
CAPISize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:277: warning: Member
baseAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:278: warning: Member
lastSignalAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:272: warning: Member
runningOffset (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:273: warning: Member
typeBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:274: warning: Member
offsetBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:275: warning: Member
CAPISize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:277: warning: Member
baseAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:278: warning: Member
lastSignalAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:272: warning: Member
runningOffset (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:273: warning: Member
typeBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:274: warning: Member
offsetBasedSize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:275: warning: Member
CAPISize (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:277: warning: Member
baseAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:278: warning: Member
lastSignalAddress (variable) of class MARTe::SimulinkPort is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/GAMs/SimulinkWrapperGAM/SimulinkClasses.h:294: warning: explicit link
request to 'offsetBasedSize' could not be resolved

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:46: warning: Member attr (variable) of
class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/InterfacessfOPCUA/OPCUATypes.h:47: warning: Member value (variable) of
class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:48: warning: Member nodeld (variable) of
class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:49: warning: Member nodeName
(variable) of class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:50: warning: Member parentNodeld
(variable) of class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:51: warning: Member
parentReferenceNodeld (variable) of class OPCUA::NodeProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:61: warning: Member attr (variable) of
class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/fOPCUA/OPCUATypes.h:62: warning: Member nodeld (variable) of
class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:63: warning: Member nodeName
(variable) of class OPCUA::ObjectProperties is not documented.

ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:64: warning: Member parentNodeld
(variable) of class OPCUA::ObjectProperties is not documented.
ERR: /home/gavon/Projects/MARTe2-components/Source/Components/Interfaces/OPCUA/OPCUATypes.h:65: warning: Member
parentReferenceNodeld (variable) of class OPCUA::ObjectProperties is not documented.

Unit test review

Date of the review: 06/03/2021

Person who did the review: TODO

Version of source code: 2a13df83eb2755eb76e85023abbc5e7b943a73bb
Result of coverage tests review:TODO

Result of functional tests review:TODO

Result of review:TODO

Comments:TODO

List of non-conformities:

Functional tests

ERR: Test file not found: Test/Components/DataSources/LinuxTimer/TimeProviderGTest.cpp
OK: All public methods are being tested at least once

GTest
ERR: Failed to retrieve test information from: Build/gtest_results_2.xml
ERR: Failed to retrieve test information from: Build/gtest_results_to_compare_2.xml
Number of errors has decreased (but there are still errors). Number of tests: 1092. Current branch: 1. Reference branch: 2
OK: Number of tests increased. Current branch: 1092. Reference branch: 1080
Coverage
DataSources/LinuxTimer/LinuxTimer.cpp: was modified. line coverage is still OK (but has decreased). This branch (96.6 % >= 90.0 %).
Reference branch (97.9 % >= 90.0 %)
OK: DataSources/LinuxTimer...lutionTimeProvider.cpp: is new. Line coverage is OK: (100.0 % >= 90.0 %)

OK: DataSources/LinuxTimer/TimeProvider.cpp: is new. Line coverage is OK: (100.0 % >= 90.0 %)
OK: No coverage errors found

Integration test review

Date of the review: 06/03/2021

Person who did the review: TODO

Version of source code: 2a13df83eb2755eb76e85023abbc5e7b943a73bb
Result of review: N/A

List of non-conformities: N/A

Comments: N/A

Acceptance test review

Date of the review: 06/03/2021

Person who did the review: TODO

Version of source code: 2a13df83eb2755eb76e85023abbc5e7b943a73bb
Result of review: N/A

List of non-conformities: N/A

Comments: N/A

#9 - 25.03.2021 09:02 - André Neto
- Status changed from Code: Impl to Unit: Rev
#10 - 25.03.2021 09:02 - André Neto
- Assignee deleted (Giuseppe Avon)

#11 - 26.03.2021 14:57 - André Neto

- Status changed from Unit: Rev to Closed

See #745
https://vcis-redmine.f4e.europa.eu/issues/745
